# coding: utf-8

"""
    Prevision.io

    Prevision.io Studio APIs  # noqa: E501

    OpenAPI spec version: 1.0.5
    Contact: web@prevision.io
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class PredictionPredictionIdBody(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'prediction_type': 'str',
        'pipeline_scheduled_run_id': 'str'
    }

    attribute_map = {
        'prediction_type': 'prediction_type',
        'pipeline_scheduled_run_id': 'pipeline_scheduled_run_id'
    }

    def __init__(self, prediction_type=None, pipeline_scheduled_run_id=None):  # noqa: E501
        """PredictionPredictionIdBody - a model defined in Swagger"""  # noqa: E501
        self._prediction_type = None
        self._pipeline_scheduled_run_id = None
        self.discriminator = None
        if prediction_type is not None:
            self.prediction_type = prediction_type
        if pipeline_scheduled_run_id is not None:
            self.pipeline_scheduled_run_id = pipeline_scheduled_run_id

    @property
    def prediction_type(self):
        """Gets the prediction_type of this PredictionPredictionIdBody.  # noqa: E501


        :return: The prediction_type of this PredictionPredictionIdBody.  # noqa: E501
        :rtype: str
        """
        return self._prediction_type

    @prediction_type.setter
    def prediction_type(self, prediction_type):
        """Sets the prediction_type of this PredictionPredictionIdBody.


        :param prediction_type: The prediction_type of this PredictionPredictionIdBody.  # noqa: E501
        :type: str
        """
        allowed_values = ["deployment", "usecase"]  # noqa: E501
        if prediction_type not in allowed_values:
            raise ValueError(
                "Invalid value for `prediction_type` ({0}), must be one of {1}"  # noqa: E501
                .format(prediction_type, allowed_values)
            )

        self._prediction_type = prediction_type

    @property
    def pipeline_scheduled_run_id(self):
        """Gets the pipeline_scheduled_run_id of this PredictionPredictionIdBody.  # noqa: E501


        :return: The pipeline_scheduled_run_id of this PredictionPredictionIdBody.  # noqa: E501
        :rtype: str
        """
        return self._pipeline_scheduled_run_id

    @pipeline_scheduled_run_id.setter
    def pipeline_scheduled_run_id(self, pipeline_scheduled_run_id):
        """Sets the pipeline_scheduled_run_id of this PredictionPredictionIdBody.


        :param pipeline_scheduled_run_id: The pipeline_scheduled_run_id of this PredictionPredictionIdBody.  # noqa: E501
        :type: str
        """

        self._pipeline_scheduled_run_id = pipeline_scheduled_run_id

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(PredictionPredictionIdBody, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, PredictionPredictionIdBody):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
